Fetch record reporting data
curl --request GET \
--url https://api.qobra.co/v1/reporting/{data_table_id}/records \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.qobra.co/v1/reporting/{data_table_id}/records"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.qobra.co/v1/reporting/{data_table_id}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 4570,
"data": [
{
"id": "6545110915808dbcc34531ee",
"date": "2023-11-30",
"plan": "Great plan",
"user": {
"id": "5537a5b05d6e4824940e9e1bb9a5ebb8",
"email": "john-doe@company.com",
"name": "John Doe",
"role": "Sales Rep",
"currency": "EUR",
"calculation_currency": "USD",
"country": "France",
"code": "AO32ND56",
"...": "..."
},
"record": {
"id": "6545110915808eecc34531ee",
"name": "Great opportunity"
},
"commission": 3500,
"commission_currency": "EUR"
},
"..."
],
"next": "https://api.qobra.co/v1/reporting/opportunity/records?limit=2000&offset=2000"
}Reporting
Fetch record reporting data
deprecated
Retrieves record reporting data. A record report holds your compensation’s data, consolidated around metrics on a record level.
GET
/
v1
/
reporting
/
{data_table_id}
/
records
Fetch record reporting data
This endpoint is deprecated. Use the v2 endpoint instead. See v2
documentation
Pagination
This endpoint is paginated using parameters offset and limit The “next” key in the response allow you to easily follow pagination to get the next batch of recordsVariable api keys
This endpoint is based on dynamic fields. This mean that all annotations that look like<variable-key>, will have to or will be replaced by their
actual API keys.Authorizations
Path Parameters
Identifies the data table associated with record reporting. This ID can be found in the URL of the table settings page.
Query Parameters
Optional (minimum:0 - maximum:9223372036854775807)
Required range:
0 <= x <= 9223372036854776000Optional (minimum:0 - maximum:2000): if set to 0 return total count only
Required range:
0 <= x <= 2000Was this page helpful?